package com.persagy.adm.server.backstage.constant;

import lombok.Getter;
/**
 * 数据解析策略类枚举
 * @author : lijie
 * Update By 2022/1/21 15:54
 */
@Getter
public enum DataHandlerEnum {

    /** 空间-对应物理世界的空间 */
    SPACES("Spaces", "spaceDataHandler"),
    /** 房间-对应物理世界的空间 */
    ROOMS("Rooms", "spaceDataHandler"),
    /** 轴网 */
    GRIDS("Grids", "gridDataHandler"),
    /** 标高 */
    LEVELS("Levels", "levelDataHandler"),
    /** 默认解析 */
    DEFAULT("Equipments", "defaultDataHandler");

    private String index;
    private String name;

    DataHandlerEnum(String index, String name) {
        this.index = index;
        this.name = name;
    }

    /**
     * 获取Enum
     * @param index:数据key
     */
    public static DataHandlerEnum load(String index) {
        for (DataHandlerEnum value: values()) {
            if (value.getIndex().equals(index)) {
                return value;
            }
        }
        // 没有匹配的，返回默认
        return DataHandlerEnum.DEFAULT;
    }
}
